List things inside a Workspace by workspace_type, name and tenant (all of them required).

GET /users/workspace/{workspaceType}/{workspaceName}/things

Operation id: WorkspaceService_ListWorkspaceThings

Description

Permission Level: Read

Tags: WorkspaceService

Parameters

Path parameters

NameTypeRequiredDescription
workspaceNamestringYesName of the workspace. Required: true
workspaceTypestringYesThe workspace type of the workspace. Required: true

Query parameters

NameTypeRequiredDescription
tenantIdstringNoTenant of the workspace. Required: false
thingTypestringNoFilter by this type. Required: false

Security

  • Authorization (apiKey)
    • Bearer token

Responses

200 — A successful response.

Content type: application/json

default — An unexpected error response.

Content type: application/json

Response models

200 — A successful response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
thingsarrayNo
{
  "type": "object",
  "properties": {
    "things": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "name": {
            "type": "string"
          },
          "value": {
            "type": "string"
          },
          "type": {
            "type": "string"
          }
        }
      }
    }
  }
}

default — An unexpected error response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeinteger (int32)No
messagestringNo
detailsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "format": "int32"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "@type": {
            "type": "string"
          }
        }
      }
    }
  }
}